import request from '@/utils/request'

// 查询头像审核列表
export function listUserPictureAudit(query) {
  return request({
    url: '/cai/userPictureAudit/list',
    method: 'get',
    params: query
  })
}

// 查询头像审核详细
export function getUserPictureAudit(id) {
  return request({
    url: '/cai/userPictureAudit/' + id,
    method: 'get'
  })
}

// 新增头像审核
export function addUserPictureAudit(data) {
  return request({
    url: '/cai/userPictureAudit',
    method: 'post',
    data: data
  })
}
export function auditSuccessUserPictureAudit(data) {
  return request({
    url: '/cai/userPictureAudit/audit/success',
    method: 'put',
    data: data
  })
}

export function batchAuditUserPicture(data) {
  return request({
    url: '/cai/userPictureAudit/batch/audit',
    method: 'post',
    data: data
  })
}

export function auditFailUserPictureAudit(data) {
  return request({
    url: '/cai/userPictureAudit/audit/fail',
    method: 'put',
    data: data
  })
}

// 删除头像审核
export function delUserPictureAudit(id) {
  return request({
    url: '/cai/userPictureAudit/' + id,
    method: 'delete'
  })
}
